// Compute average of a list of positive numbers 	
	
import java.util.* ;
	
public class NumberAverage {	
	// main(): application entry point	
	public static void main(String[] args) {	
	
		// prompt user for values
		System.out.println("Enter positive numbers one per line.  "
		  + "Indicate the end of the\nlist with a negative number.");

		Scanner stdin = new Scanner(System.in) ;

		int valuesProcessed = 0;   // no values processed so far
		double valueSum = 0;       // running total	
	
		// get first value	
		double value = stdin.nextDouble() ;
	
		// process values one-by-one	
		while (value >= 0) {	
			// add value to running total	
			valueSum += value;	
			// processed another value	
			++valuesProcessed;	
			// prepare for next iteration --- get next value
			value = stdin.nextDouble() ;
		}	
	
		// display result	
		if (valuesProcessed > 0) {	
			// compute and display average	
			double average = valueSum / valuesProcessed;	
			System.out.println("Average: " + average);	
		}	
		else {	
			System.out.println("No list to average");	
		}	
	}	
}	
	
